html {
    background-color: black;
}

::-webkit-scrollbar {
    display: none;
}

body {
    padding: 0;
    margin: 0;
    height: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.images { /*  CAPO SUPREMO */
    position: absolute;
    top: 0;
    right: 0;
    z-index: -1;
    margin: 0;
    padding: 0;
    width: 100%;
    flex-wrap: nowrap; /* si controlla se appaiono tre alla volta o una alla volta */
    display: flex;  
}

.row { /* images contiene 3 rows */
    display: flex; 
    flex-direction: column;
    align-items: flex-start;
}

img {   /* RESIZE IMMAGINE */ 
    width: 100%;
    height: 100%;
    image-rendering: crisp-edges;
    image-rendering: -moz-crisp-edges;          /* Firefox */
    image-rendering: -o-crisp-edges;            /* Opera */
    image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
    -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
}

/* .collective per far comparire la descrizione sulla foto */
div.collective {
    position: relative;
    text-align: center;
    filter: brightness(90%);
    transition: filter 200ms linear;
    width: auto; /* cambiare questo a 100 se va male  */
    height: auto;
}

div.collective:hover {
    filter: brightness(100%);
    transition: filter 200ms linear;
} 

div.collective>p{
    font-family: 'Playfair Display', serif;
    position: absolute;
    color: white;
    margin: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: opacity 200ms linear;
    padding-top: 100%;
}

div.collective>p:hover {
    opacity: 1;
    transition: opacity 200ms linear;
}

/*      MENU NAVBAR     */


.active {
    text-shadow: 0px 0px 4px rgb(175, 175, 175);
}

span {
    font-family: 'Playfair Display', serif;
    font-size: 2rem;
    margin-left: 20px;
    margin-right: 20px;
    color: rgb(245, 245, 245);  
    font-weight: 500;
    text-shadow: 0px 0px 3px #FFFFFF;
    transition: text-shadow 150ms linear;
}

span:hover {
    text-shadow: 0px 0px 5px #FFFFFF;
    transition: text-shadow 200ms linear;
}

a, a:active, a:visited, a:hover, a:link  {
    text-decoration: none;
    color: rgb(245, 245, 245);    
}

.navbar {
    display: flex;
    justify-content: space-evenly;
    margin-top: 100px;
}

.canvas {
    padding: 0px;
    margin: 100px;
    display: flex;
    flex-direction: column;
    align-content: center;
    position: absolute;
    width: 50%;
}

.title {
    transition: text-shadow 150ms linear;
    font-family: 'Playfair Display', serif;
    text-align: center;
    font-size: 3.5rem;    
    color: rgb(245, 245, 245);
    font-weight: 500;
}

.title:hover {
    text-shadow: 0px 0px 5px #FFFFFF;
    transition: text-shadow 200ms linear;
}

.item {
    font-family: 'Playfair Display', serif;
    font-size: 2rem;
    margin-left: 20px;
    margin-right: 20px;
    color: rgb(245, 245, 245);  
    font-weight: 500;
    text-shadow: 0px 0px 3px #FFFFFF;
    transition: text-shadow 150ms linear;
}

.item:hover {
    text-shadow: 0px 0px 5px #FFFFFF;
    transition: text-shadow 200ms linear;
}

/* MEDIA QUERIES */


@media (min-width: 2160px) {
    body {
        background-repeat: no-repeat;
        background-size: cover;
    }
}

@media (max-width: 768px) { /* cambiare questo per mettere le foto a coppia di due quando è troppo stretto lo schermo */ 
    .navbar {
        margin-top: 150px;
        flex-direction: column;
        align-items: flex-end;
    }
    .item {
        margin: 18px 0 18px 0;
    }
    html {
        font-size: 20px;
    }
    .title {
        font-size: 3rem;
    }
    .images {
        flex-wrap: wrap;
        display: block;
    }
    img {
        width: auto;
    }
}

@media (max-width: 568px) {
    .navbar {
        margin-top: 150px;
        flex-direction: column;
        align-items: flex-end;
    }
    .item {
        margin: 15px 0 15px 0;
    }
    html {
        font-size: 22px;
    }
    body {
        background-position: 49% 60%;
    }
    img {
        width: auto;
    }
}

@media (max-width: 468px) {
    .navbar {
        flex-direction: column;
        align-items: flex-end;
    }
    html {
        font-size: 21px;
    }   
    .title {
        font-size: 2.75rem;
    }
    img {
        width: auto;
    }
}

@media (max-width: 425px) {
    .navbar {
        margin-top: 110px;
        flex-direction: column;
        align-items: flex-end;
    }
    .canvas {
        align-items: center;
    }   
    .item {
        margin: 21px 0 21px 0;
    }
    html {
    font-size: 18px;
    }
    body  {
        background-position: 46% 60%;
    }
    .canvas {
        align-items: center;
    }   
    img {
        width: auto;
    }
}

@media (max-width: 375px) {
    html {
        font-size: 18px;
    }
    img {
        width: auto;
    }
}

/* PER FLIPPARE LE COSE */
.orflip {
    -moz-transform: scale(-1, 1);
    -webkit-transform: scale(-1, 1);
    -o-transform: scale(-1, 1);
    -ms-transform: scale(-1, 1);
    transform: scale(-1, 1);
}
